import { EntityMetadata, EntityType, JsonApiEntityMetadataLoader } from '../entity/index';
export interface ColumnTypesList {
    [name: string]: (data: any) => any;
}
export declare class JsonApiConfiguration {
    private $metadataLoader;
    private url;
    private columnTypes;
    private mappings;
    constructor($metadataLoader: JsonApiEntityMetadataLoader, url: string, columnTypes: ColumnTypesList, entityTypes: Array<EntityType<any>>);
    getUrl(): string;
    getMapping(type: string): EntityMetadata<any>;
    getColumnType(type: string): (data: any) => any;
    private registerEntity(entityType);
}
