import { ColumnTransformer } from './entity-metadata-loader.service';
import { Mapper } from '../mapping/index';
export interface EntityOptions {
    type: string;
    mapper?: Mapper;
}
export interface ColumnOptions {
    name?: string;
    type?: string;
    transformers?: Array<ColumnTransformer>;
}
export interface RelationshipOptions {
    name?: string;
}
export declare function Entity(options: EntityOptions): any;
export declare function Id(): any;
export declare function Optional(): any;
export declare function Column(options?: ColumnOptions): any;
export declare function Relationship(options?: RelationshipOptions): any;
