import { JsonApiNormalizedResource } from '../normalizer/index';
import { JsonApiConfiguration } from '../configuration/index';
import { EntityMetadata } from '../entity/index';
export declare type Mapper = <T>(metadata: EntityMetadata<T>, data: JsonApiNormalizedResource, config: JsonApiConfiguration) => T | any;
export declare function mapItem<T>(config: JsonApiConfiguration, data: JsonApiNormalizedResource): T;
export declare function mapCollection<T>(config: JsonApiConfiguration, data: Array<JsonApiNormalizedResource>): Array<T>;
export declare function mapData<T>(config: JsonApiConfiguration, data: JsonApiNormalizedResource | Array<JsonApiNormalizedResource>): T | Array<T>;
export declare function defaultMapper<T>(mapping: EntityMetadata<T>, data: JsonApiNormalizedResource, config: JsonApiConfiguration): T;
